AssocDataListChunk (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.wave
Class AssocDataListChunk

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.iff.Chunk
          edu.harvard.hul.ois.jhove.module.iff.Superchunk
              edu.harvard.hul.ois.jhove.module.wave.AssocDataListChunk

    public class AssocDataListChunk

extends Superchunk

The associated data list ('list') chunk, which is different from the RIFF 'LIST' chunk, ListInfoTextChunk. It can contain several different types of informational chunks.

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.iff.Chunk
`_dstream, _module, bytesLeft`

Constructor Summary
`AssocDataListChunk(ModuleBase module, ChunkHeader hdr, java.io.DataInputStream dstrm, RepInfo info)` Constructor.

Method Summary
`boolean` | `readChunk(RepInfo info)` Reads the chunk and its nested chunks, and puts appropriate properties into the RepInfo object.

Methods inherited from class edu.harvard.hul.ois.jhove.module.iff.Superchunk
`getNextChunkHeader`

Methods inherited from class edu.harvard.hul.ois.jhove.module.iff.Chunk
`byteBufString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssocDataListChunk

    public AssocDataListChunk(ModuleBase module,
                              ChunkHeader hdr,
                              java.io.DataInputStream dstrm,
                              RepInfo info)

  Constructor.

  Parameters:
    `module` - The WaveModule under which this was called
    `hdr` - The header for this chunk
    `dstrm` - The stream from which the WAVE data are being read
    `info` - RepInfo object for error reporting

Method Detail

### readChunk

    public boolean readChunk(RepInfo info)
                      throws java.io.IOException

  Reads the chunk and its nested chunks, and puts appropriate properties into the RepInfo object.

  Specified by:
    `readChunk` in class `Chunk`
  Parameters:
    `info` - RepInfo object to receive information
  Returns:
    `false` if the chunk or a nested chunk is structurally invalid, otherwise `true`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD